--- old/usr/src/cmd/mdb/intel/amd64/libproc/Makefile	Thu Aug  8 11:10:39 2019
+++ new/usr/src/cmd/mdb/intel/amd64/libproc/Makefile	Thu Aug  8 11:10:39 2019
@@ -38,7 +38,7 @@
 CFLAGS64 += -I../../../../../lib/libproc/common
 LINTFLAGS64 += -I../../../../../lib/libproc/common
 
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 %.o: $(MODSRCS_DIR)/%.c
 	$(COMPILE.c) $<
--- old/usr/src/cmd/mdb/intel/amd64/libumem/Makefile	Thu Aug  8 11:10:40 2019
+++ new/usr/src/cmd/mdb/intel/amd64/libumem/Makefile	Thu Aug  8 11:10:40 2019
@@ -52,7 +52,7 @@
 
 CERRWARN += -_gcc=-Wno-unused-label
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 %.o: $(MODSRCS_DIR)/%.c
 	$(COMPILE.c) $<
--- old/usr/src/cmd/mdb/intel/amd64/pmcs/Makefile	Thu Aug  8 11:10:43 2019
+++ new/usr/src/cmd/mdb/intel/amd64/pmcs/Makefile	Thu Aug  8 11:10:43 2019
@@ -39,4 +39,4 @@
 
 CERRWARN += -_gcc=-Wno-switch
 CERRWARN += -_gcc=-Wno-char-subscripts
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
--- old/usr/src/cmd/mdb/intel/ia32/libproc/Makefile	Thu Aug  8 11:10:45 2019
+++ new/usr/src/cmd/mdb/intel/ia32/libproc/Makefile	Thu Aug  8 11:10:45 2019
@@ -37,7 +37,7 @@
 CFLAGS += -I../../../../../lib/libproc/common
 LINTFLAGS += -I../../../../../lib/libproc/common
 
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 %.o: $(MODSRCS_DIR)/%.c
 	$(COMPILE.c) $<
--- old/usr/src/cmd/mdb/intel/ia32/libumem/Makefile	Thu Aug  8 11:10:45 2019
+++ new/usr/src/cmd/mdb/intel/ia32/libumem/Makefile	Thu Aug  8 11:10:45 2019
@@ -51,7 +51,7 @@
 
 CERRWARN += -_gcc=-Wno-unused-label
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 %.o: $(MODSRCS_DIR)/%.c
 	$(COMPILE.c) $<
--- old/usr/src/cmd/mdb/intel/modules/amd_opteron/amd64/Makefile	Thu Aug  8 11:10:45 2019
+++ new/usr/src/cmd/mdb/intel/modules/amd_opteron/amd64/Makefile	Thu Aug  8 11:10:45 2019
@@ -37,4 +37,4 @@
 CPPFLAGS += -I$(SRC)/uts/intel
 CPPFLAGS += -I$(SRC)/uts/i86pc
 
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
--- old/usr/src/cmd/mdb/intel/modules/generic_cpu/amd64/Makefile	Thu Aug  8 11:10:46 2019
+++ new/usr/src/cmd/mdb/intel/modules/generic_cpu/amd64/Makefile	Thu Aug  8 11:10:46 2019
@@ -36,4 +36,4 @@
 CPPFLAGS += -I$(SRC)/uts/intel
 CPPFLAGS += -I$(SRC)/uts/i86pc
 
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
--- old/usr/src/cmd/mdb/sparc/v7/libproc/Makefile	Thu Aug  8 11:10:46 2019
+++ new/usr/src/cmd/mdb/sparc/v7/libproc/Makefile	Thu Aug  8 11:10:46 2019
@@ -37,7 +37,7 @@
 CFLAGS += -I../../../../../lib/libproc/common
 LINTFLAGS += -I../../../../../lib/libproc/common
 
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 %.o: $(MODSRCS_DIR)/%.c
 	$(COMPILE.c) $<
--- old/usr/src/cmd/mdb/sparc/v7/libumem/Makefile	Thu Aug  8 11:10:48 2019
+++ new/usr/src/cmd/mdb/sparc/v7/libumem/Makefile	Thu Aug  8 11:10:48 2019
@@ -51,7 +51,7 @@
 
 CERRWARN += -_gcc=-Wno-unused-label
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 %.o: $(MODSRCS_DIR)/%.c
 	$(COMPILE.c) $<
--- old/usr/src/cmd/mdb/sparc/v9/genunix/Makefile	Thu Aug  8 11:10:50 2019
+++ new/usr/src/cmd/mdb/sparc/v9/genunix/Makefile	Thu Aug  8 11:10:50 2019
@@ -67,7 +67,7 @@
 
 CERRWARN += -_gcc=-Wno-char-subscripts
 CERRWARN += -_gcc=-Wno-unused-label
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-parentheses
 CERRWARN += -_gcc=-Wno-type-limits
 
--- old/usr/src/cmd/mdb/sparc/v9/idm/Makefile	Thu Aug  8 11:10:50 2019
+++ new/usr/src/cmd/mdb/sparc/v9/idm/Makefile	Thu Aug  8 11:10:50 2019
@@ -40,4 +40,4 @@
 CPPFLAGS += -I$(ISCSIBASE)
 CPPFLAGS += -I$(ISERBASE)
 
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
--- old/usr/src/cmd/mdb/sparc/v9/ipp/Makefile	Thu Aug  8 11:10:51 2019
+++ new/usr/src/cmd/mdb/sparc/v9/ipp/Makefile	Thu Aug  8 11:10:51 2019
@@ -34,4 +34,4 @@
 include ../../Makefile.sparcv9
 include ../../../Makefile.module
 
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
--- old/usr/src/cmd/mdb/sparc/v9/libproc/Makefile	Thu Aug  8 11:10:53 2019
+++ new/usr/src/cmd/mdb/sparc/v9/libproc/Makefile	Thu Aug  8 11:10:54 2019
@@ -38,7 +38,7 @@
 CFLAGS64 += -I../../../../../lib/libproc/common
 LINTFLAGS64 += -I../../../../../lib/libproc/common
 
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 %.o: $(MODSRCS_DIR)/%.c
 	$(COMPILE.c) $<
--- old/usr/src/cmd/mdb/sparc/v9/libumem/Makefile	Thu Aug  8 11:10:56 2019
+++ new/usr/src/cmd/mdb/sparc/v9/libumem/Makefile	Thu Aug  8 11:10:56 2019
@@ -65,7 +65,7 @@
 
 CERRWARN += -_gcc=-Wno-unused-label
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 %.o: $(MODSRCS_DIR)/%.c
 	$(COMPILE.c) $<
--- old/usr/src/cmd/mdb/sparc/v9/pmcs/Makefile	Thu Aug  8 11:10:58 2019
+++ new/usr/src/cmd/mdb/sparc/v9/pmcs/Makefile	Thu Aug  8 11:10:58 2019
@@ -39,4 +39,4 @@
 
 CERRWARN += -_gcc=-Wno-switch
 CERRWARN += -_gcc=-Wno-char-subscripts
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
--- old/usr/src/cmd/mdb/sun4u/modules/unix/v9/Makefile	Thu Aug  8 11:11:01 2019
+++ new/usr/src/cmd/mdb/sun4u/modules/unix/v9/Makefile	Thu Aug  8 11:11:01 2019
@@ -41,4 +41,4 @@
 CPPFLAGS += -I$(SRC)/uts/sun4u
 CPPFLAGS += -I$(SRC)/uts/sfmmu
 CPPFLAGS += -I$(SRC)/uts/sparc/v9
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
--- old/usr/src/cmd/mdb/sun4v/modules/unix/v9/Makefile	Thu Aug  8 11:11:03 2019
+++ new/usr/src/cmd/mdb/sun4v/modules/unix/v9/Makefile	Thu Aug  8 11:11:03 2019
@@ -45,4 +45,4 @@
 CPPFLAGS += -I$(SRC)/uts/sun4u
 CPPFLAGS += -I$(SRC)/uts/sfmmu
 CPPFLAGS += -I$(SRC)/uts/sparc/v9
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
--- old/usr/src/cmd/mdb/tools/findfp/Makefile.com	Thu Aug  8 11:11:05 2019
+++ new/usr/src/cmd/mdb/tools/findfp/Makefile.com	Thu Aug  8 11:11:05 2019
@@ -44,7 +44,7 @@
 #
 CPPFLAGS = -I../../common -I../common
 CFLAGS += $(CCVERBOSE)
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 LDFLAGS =
 LDLIBS = -lelf
 
--- old/usr/src/cmd/mdb/tools/setdynflag/Makefile.com	Thu Aug  8 11:11:05 2019
+++ new/usr/src/cmd/mdb/tools/setdynflag/Makefile.com	Thu Aug  8 11:11:05 2019
@@ -43,7 +43,7 @@
 #
 CPPFLAGS = -I../../common
 CFLAGS += $(CCVERBOSE)
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 LDFLAGS =
 LDLIBS	= -lelf
 
--- old/usr/src/cmd/mkdir/Makefile	Thu Aug  8 11:11:06 2019
+++ new/usr/src/cmd/mkdir/Makefile	Thu Aug  8 11:11:06 2019
@@ -31,7 +31,7 @@
 include ../Makefile.cmd
 
 CFLAGS += $(CCVERBOSE)
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-parentheses
 LDLIBS += -lgen
 
--- old/usr/src/cmd/mkmsgs/Makefile	Thu Aug  8 11:11:07 2019
+++ new/usr/src/cmd/mkmsgs/Makefile	Thu Aug  8 11:11:07 2019
@@ -29,7 +29,7 @@
 
 LDLIBS += -lgen
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/cmd/mknod/Makefile	Thu Aug  8 11:11:07 2019
+++ new/usr/src/cmd/mknod/Makefile	Thu Aug  8 11:11:07 2019
@@ -29,7 +29,7 @@
 include ../Makefile.cmd
 
 CFLAGS += $(CCVERBOSE)
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 .KEEP_STATE:
 
--- old/usr/src/cmd/mktemp/Makefile	Thu Aug  8 11:11:07 2019
+++ new/usr/src/cmd/mktemp/Makefile	Thu Aug  8 11:11:07 2019
@@ -28,7 +28,7 @@
 
 include ../Makefile.cmd
 
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 .KEEP_STATE:
 
--- old/usr/src/cmd/more/Makefile	Thu Aug  8 11:11:08 2019
+++ new/usr/src/cmd/more/Makefile	Thu Aug  8 11:11:08 2019
@@ -39,7 +39,7 @@
 
 CFLAGS += $(CCVERBOSE)
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-clobbered
 
 # not linted
--- old/usr/src/cmd/msgfmt/Makefile	Thu Aug  8 11:11:08 2019
+++ new/usr/src/cmd/msgfmt/Makefile	Thu Aug  8 11:11:08 2019
@@ -66,7 +66,7 @@
 
 CERRWARN += -_gcc=-Wno-parentheses
 CERRWARN += -_gcc=-Wno-unused-label
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-unused-variable
 
 .KEEP_STATE:
--- old/usr/src/cmd/mv/Makefile	Thu Aug  8 11:11:10 2019
+++ new/usr/src/cmd/mv/Makefile	Thu Aug  8 11:11:10 2019
@@ -42,7 +42,7 @@
 CFLAGS	+=	$(CCVERBOSE)
 CERRWARN +=	-_gcc=-Wno-parentheses
 CERRWARN +=	-_gcc=-Wno-unused-variable
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 $(XPG4) := CFLAGS += -DXPG4
 LINTFLAGS += -DXPG4 -u
 XGETFLAGS += -a -x mv.xcl
--- old/usr/src/cmd/ndmpadm/Makefile	Thu Aug  8 11:11:11 2019
+++ new/usr/src/cmd/ndmpadm/Makefile	Thu Aug  8 11:11:12 2019
@@ -46,7 +46,7 @@
 
 LDLIBS += -lndmp
 
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 .KEEP_STATE:
 
--- old/usr/src/cmd/ndmpd/Makefile	Thu Aug  8 11:11:14 2019
+++ new/usr/src/cmd/ndmpd/Makefile	Thu Aug  8 11:11:14 2019
@@ -71,7 +71,7 @@
 
 CERRWARN += -_gcc=-Wno-unused-variable
 CERRWARN += -_gcc=-Wno-switch
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-address
 
 LDLIBS   += -lsocket -lnsl -lzfs -lsec -lndmp -lmd5 -lnvpair -lumem -lbsm -lgen -lcmdutils -linetutil
--- old/usr/src/cmd/newform/Makefile	Thu Aug  8 11:11:16 2019
+++ new/usr/src/cmd/newform/Makefile	Thu Aug  8 11:11:17 2019
@@ -27,7 +27,7 @@
 
 include ../Makefile.cmd
 
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 .KEEP_STATE:
 
--- old/usr/src/cmd/newtask/Makefile.com	Thu Aug  8 11:11:19 2019
+++ new/usr/src/cmd/newtask/Makefile.com	Thu Aug  8 11:11:19 2019
@@ -35,7 +35,7 @@
 CFLAGS64 += $(CCVERBOSE)
 
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 CPPFLAGS += -I..
 
--- old/usr/src/cmd/nl/Makefile	Thu Aug  8 11:11:21 2019
+++ new/usr/src/cmd/nl/Makefile	Thu Aug  8 11:11:21 2019
@@ -40,7 +40,7 @@
 
 LDLIBS += -lgen
 CFLAGS += $(CCVERBOSE)
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-unused-variable
 
 # not linted
--- old/usr/src/cmd/nlsadmin/Makefile	Thu Aug  8 11:11:24 2019
+++ new/usr/src/cmd/nlsadmin/Makefile	Thu Aug  8 11:11:24 2019
@@ -30,7 +30,7 @@
 FILEMODE= 0755
 CERRWARN += -_gcc=-Wno-implicit-function-declaration
 CERRWARN += -_gcc=-Wno-unused-variable
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/cmd/nscd/Makefile	Thu Aug  8 11:11:27 2019
+++ new/usr/src/cmd/nscd/Makefile	Thu Aug  8 11:11:27 2019
@@ -60,7 +60,7 @@
 LINTFLAGS +=	-erroff=E_NAME_DEF_NOT_USED2
 
 CERRWARN +=	-_gcc=-Wno-switch
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-parentheses
 CERRWARN +=	-_gcc=-Wno-type-limits
 
--- old/usr/src/cmd/pack/Makefile	Thu Aug  8 11:11:29 2019
+++ new/usr/src/cmd/pack/Makefile	Thu Aug  8 11:11:29 2019
@@ -29,7 +29,7 @@
 
 CFLAGS += $(CCVERBOSE)
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 XGETFLAGS += -a -x $(PROG).xcl
 CPPFLAGS +=  -D_FILE_OFFSET_BITS=64
 
--- old/usr/src/cmd/passmgmt/Makefile	Thu Aug  8 11:11:31 2019
+++ new/usr/src/cmd/passmgmt/Makefile	Thu Aug  8 11:11:31 2019
@@ -41,7 +41,7 @@
 LDLIBS +=	-lsecdb -lnsl
 CERRWARN +=	-_gcc=-Wno-type-limits
 CERRWARN +=	-_gcc=-Wno-implicit-function-declaration
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/cmd/pbind/Makefile.com	Thu Aug  8 11:11:34 2019
+++ new/usr/src/cmd/pbind/Makefile.com	Thu Aug  8 11:11:35 2019
@@ -33,7 +33,7 @@
 
 LDLIBS += -lproc
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 .KEEP_STATE:
 
--- old/usr/src/cmd/pcitool/Makefile.com	Thu Aug  8 11:11:37 2019
+++ new/usr/src/cmd/pcitool/Makefile.com	Thu Aug  8 11:11:37 2019
@@ -31,7 +31,7 @@
 LDLIBS += -ldevinfo
 
 CFLAGS += -D$(MACH) -I$(UTSBASE)/common
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-parentheses
 CERRWARN += -_gcc=-Wno-unused-variable
 
--- old/usr/src/cmd/pg/Makefile	Thu Aug  8 11:11:39 2019
+++ new/usr/src/cmd/pg/Makefile	Thu Aug  8 11:11:39 2019
@@ -34,7 +34,7 @@
 CPPFLAGS += -D_FILE_OFFSET_BITS=64
 
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-clobbered
 
 .KEEP_STATE:
--- old/usr/src/cmd/picl/plugins/Makefile.com	Thu Aug  8 11:11:41 2019
+++ new/usr/src/cmd/picl/plugins/Makefile.com	Thu Aug  8 11:11:41 2019
@@ -31,7 +31,7 @@
 CFLAGS		+= $(CCVERBOSE)
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-char-subscripts
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-switch
 CERRWARN	+= -_gcc=-Wno-unused-function
 CERRWARN	+= -_gcc=-Wno-unused-variable
--- old/usr/src/cmd/picl/plugins/lib/picld_pluginutil/Makefile.com	Thu Aug  8 11:11:43 2019
+++ new/usr/src/cmd/picl/plugins/lib/picld_pluginutil/Makefile.com	Thu Aug  8 11:11:44 2019
@@ -53,7 +53,7 @@
 
 CPPFLAGS +=	-I.. -I$(SRC)/lib/libpicl -I$(SRC)/lib/libpicltree
 CFLAGS +=	$(CCVERBOSE)
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 SMOFF += all_func_returns
 
--- old/usr/src/cmd/plimit/amd64/Makefile	Thu Aug  8 11:11:46 2019
+++ new/usr/src/cmd/plimit/amd64/Makefile	Thu Aug  8 11:11:46 2019
@@ -34,7 +34,7 @@
 include ../../Makefile.cmd.64
 
 CFLAGS64	+= $(CCVERBOSE)
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 LDLIBS	+= -lproc
 
--- old/usr/src/cmd/plimit/i386/Makefile	Thu Aug  8 11:11:47 2019
+++ new/usr/src/cmd/plimit/i386/Makefile	Thu Aug  8 11:11:47 2019
@@ -33,7 +33,7 @@
 include ../../Makefile.cmd
 
 CFLAGS	+= $(CCVERBOSE)
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 LDLIBS	+= -lproc
 
--- old/usr/src/cmd/plimit/sparcv9/Makefile	Thu Aug  8 11:11:48 2019
+++ new/usr/src/cmd/plimit/sparcv9/Makefile	Thu Aug  8 11:11:48 2019
@@ -35,7 +35,7 @@
 include ../../Makefile.cmd.64
 
 CFLAGS64	+= $(CCVERBOSE)
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 LDLIBS	+= -lproc
 
--- old/usr/src/cmd/pools/Makefile.pools	Thu Aug  8 11:11:51 2019
+++ new/usr/src/cmd/pools/Makefile.pools	Thu Aug  8 11:11:51 2019
@@ -30,7 +30,7 @@
 COMMON_OBJS = utils.o
 COMMON_SRCS = $(COMMON_OBJS:%.o=$(POOLSCOMMONDIR)/%.c)
 
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-unused-label
 CERRWARN += -_gcc=-Wno-unused-variable
 CERRWARN += -_gcc=-Wno-implicit-function-declaration
--- old/usr/src/cmd/powertop/Makefile.com	Thu Aug  8 11:11:53 2019
+++ new/usr/src/cmd/powertop/Makefile.com	Thu Aug  8 11:11:54 2019
@@ -43,7 +43,7 @@
 CFLAGS		+= $(CCVERBOSE)
 CFLAGS64	+= $(CCVERBOSE)
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 SMOFF += free
 
--- old/usr/src/cmd/praudit/Makefile	Thu Aug  8 11:11:56 2019
+++ new/usr/src/cmd/praudit/Makefile	Thu Aug  8 11:11:56 2019
@@ -43,7 +43,7 @@
 CPPFLAGS += -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
 
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 SMOFF += signed
 
--- old/usr/src/cmd/prctl/Makefile.com	Thu Aug  8 11:11:58 2019
+++ new/usr/src/cmd/prctl/Makefile.com	Thu Aug  8 11:11:58 2019
@@ -35,7 +35,7 @@
 
 CFLAGS	+= $(CCVERBOSE)
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/cmd/print/bsd-sysv-commands/Makefile	Thu Aug  8 11:11:58 2019
+++ new/usr/src/cmd/print/bsd-sysv-commands/Makefile	Thu Aug  8 11:11:58 2019
@@ -65,7 +65,7 @@
 in.lpd:=	LDLIBS +=	-lnsl -lsocket
 
 CERRWARN +=	-_gcc=-Wno-unused-variable
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/cmd/print/printmgr/com/sun/admin/pm/server/Makefile	Thu Aug  8 11:11:59 2019
+++ new/usr/src/cmd/print/printmgr/com/sun/admin/pm/server/Makefile	Thu Aug  8 11:11:59 2019
@@ -85,7 +85,7 @@
 CPPFLAGS +=	-I$(JAVA_ROOT)/include -I$(JAVA_ROOT)/include/solaris -I.
 
 CERRWARN +=	-_gcc=-Wno-unused-variable
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/cmd/priocntl/Makefile	Thu Aug  8 11:12:01 2019
+++ new/usr/src/cmd/priocntl/Makefile	Thu Aug  8 11:12:01 2019
@@ -36,7 +36,7 @@
 
 LDLIBS += -lcontract
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 CLASSD = $(ROOTLIB)/class
 RTD = $(CLASSD)/RT
--- old/usr/src/cmd/projects/Makefile	Thu Aug  8 11:12:04 2019
+++ new/usr/src/cmd/projects/Makefile	Thu Aug  8 11:12:04 2019
@@ -35,7 +35,7 @@
 .KEEP_STATE:
 
 CFLAGS += $(CCVERBOSE)
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 all: $(PROG)
 
--- old/usr/src/cmd/prtconf/Makefile.com	Thu Aug  8 11:12:05 2019
+++ new/usr/src/cmd/prtconf/Makefile.com	Thu Aug  8 11:12:05 2019
@@ -32,7 +32,7 @@
 CFLAGS	+=	$(CCVERBOSE)
 CERRWARN +=	-_gcc=-Wno-parentheses
 CERRWARN +=	-_gcc=-Wno-switch
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 LDLIBS	+= -ldevinfo -lnvpair -lpcidb
 
 FILEMODE= 02555
--- old/usr/src/cmd/prtvtoc/Makefile	Thu Aug  8 11:12:08 2019
+++ new/usr/src/cmd/prtvtoc/Makefile	Thu Aug  8 11:12:08 2019
@@ -32,7 +32,7 @@
 LDLIBS +=	-ladm -lefi
 
 CERRWARN +=	-_gcc=-Wno-parentheses
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/cmd/psrset/Makefile.com	Thu Aug  8 11:12:10 2019
+++ new/usr/src/cmd/psrset/Makefile.com	Thu Aug  8 11:12:10 2019
@@ -33,7 +33,7 @@
 
 CFLAGS += $(CCVERBOSE)
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 LDLIBS += -lproc
 
 .KEEP_STATE:
--- old/usr/src/cmd/ptools/Makefile.bld	Thu Aug  8 11:12:11 2019
+++ new/usr/src/cmd/ptools/Makefile.bld	Thu Aug  8 11:12:11 2019
@@ -62,12 +62,12 @@
 CERRWARN_pmadvise += -_smatch=off
 
 CERRWARN_ppriv	+= -_gcc=-Wno-parentheses
-CERRWARN_ppriv	+= -_gcc=-Wno-uninitialized
+CERRWARN_ppriv	+= $(CNOWARN_UNINIT)
 
 CERRWARN_ptree	+= -_gcc=-Wno-parentheses
 CERRWARN_ptree	+= -_smatch=off
 
-CERRWARN_pstack	+= -_gcc=-Wno-uninitialized
+CERRWARN_pstack	+= $(CNOWARN_UNINIT)
 CERRWARN_pstack	+= -_gcc=-Wno-clobbered
 
 CERRWARN_pargs	+= -_gcc=-Wno-clobbered
--- old/usr/src/cmd/raidctl/Makefile	Thu Aug  8 11:12:12 2019
+++ new/usr/src/cmd/raidctl/Makefile	Thu Aug  8 11:12:13 2019
@@ -30,7 +30,7 @@
 
 LDLIBS   += -lraidcfg
 CFLAGS	 += $(CCVERBOSE)
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 .KEEP_STATE:
 
--- old/usr/src/cmd/ramdiskadm/Makefile	Thu Aug  8 11:12:13 2019
+++ new/usr/src/cmd/ramdiskadm/Makefile	Thu Aug  8 11:12:13 2019
@@ -32,7 +32,7 @@
 include ../Makefile.cmd
 
 LDLIBS	+= -ldevinfo
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 .KEEP_STATE:
 
--- old/usr/src/cmd/rcap/Makefile.com	Thu Aug  8 11:12:14 2019
+++ new/usr/src/cmd/rcap/Makefile.com	Thu Aug  8 11:12:14 2019
@@ -33,7 +33,7 @@
 LDFLAGS +=	$(MAPFILE.NGB:%=-M%)
 
 CERRWARN += -_gcc=-Wno-unused-function
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-parentheses
 
 SMOFF += strcpy_overflow
--- old/usr/src/cmd/rcm_daemon/Makefile.com	Thu Aug  8 11:12:15 2019
+++ new/usr/src/cmd/rcm_daemon/Makefile.com	Thu Aug  8 11:12:15 2019
@@ -122,7 +122,7 @@
 
 CERRWARN += -_gcc=-Wno-parentheses
 CERRWARN += -_gcc=-Wno-unused-label
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-unused-function
 
 # not linted
--- old/usr/src/cmd/rctladm/Makefile	Thu Aug  8 11:12:18 2019
+++ new/usr/src/cmd/rctladm/Makefile	Thu Aug  8 11:12:19 2019
@@ -35,7 +35,7 @@
 
 CFLAGS += $(CCVERBOSE)
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 POFILE = rctladm_msg.po
 XGETFLAGS = -a
 FILEMODE = 0555
--- old/usr/src/cmd/refer/Makefile	Thu Aug  8 11:12:20 2019
+++ new/usr/src/cmd/refer/Makefile	Thu Aug  8 11:12:20 2019
@@ -49,7 +49,7 @@
 CERRWARN += -_gcc=-Wno-implicit-function-declaration
 CERRWARN += -_gcc=-Wno-parentheses
 CERRWARN += -_gcc=-Wno-unused-variable
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/cmd/rmdir/Makefile	Thu Aug  8 11:12:20 2019
+++ new/usr/src/cmd/rmdir/Makefile	Thu Aug  8 11:12:20 2019
@@ -30,7 +30,7 @@
 
 LDLIBS += -lgen
 CFLAGS += $(CCVERBOSE)
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 XGETFLAGS += -a -x rmdir.xcl
 
--- old/usr/src/cmd/rmformat/Makefile	Thu Aug  8 11:12:21 2019
+++ new/usr/src/cmd/rmformat/Makefile	Thu Aug  8 11:12:21 2019
@@ -35,7 +35,7 @@
 
 LDLIBS +=	-lsmedia -lvolmgt -ladm -lefi
 
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/cmd/rmmount/Makefile	Thu Aug  8 11:12:21 2019
+++ new/usr/src/cmd/rmmount/Makefile	Thu Aug  8 11:12:22 2019
@@ -46,7 +46,7 @@
 CERRWARN += -_gcc=-Wno-unused-variable
 CERRWARN += -_gcc=-Wno-parentheses
 CERRWARN += -_gcc=-Wno-unused-function
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/cmd/rmvolmgr/Makefile	Thu Aug  8 11:12:22 2019
+++ new/usr/src/cmd/rmvolmgr/Makefile	Thu Aug  8 11:12:22 2019
@@ -44,7 +44,7 @@
 CSTD =	$(CSTD_GNU99)
 
 CERRWARN += 	-_gcc=-Wno-switch
-CERRWARN += 	-_gcc=-Wno-uninitialized
+CERRWARN += 	$(CNOWARN_UNINIT)
 CERRWARN += 	-_gcc=-Wno-unused-variable
 CERRWARN += 	-_gcc=-Wno-parentheses
 CERRWARN += 	-_gcc=-Wno-unused-function
--- old/usr/src/cmd/rpcinfo/Makefile	Thu Aug  8 11:12:23 2019
+++ new/usr/src/cmd/rpcinfo/Makefile	Thu Aug  8 11:12:23 2019
@@ -31,7 +31,7 @@
 
 CPPFLAGS= -DPORTMAP $(CPPFLAGS.master)
 LDLIBS += -lnsl
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 .KEEP_STATE:
 
--- old/usr/src/cmd/sa/Makefile	Thu Aug  8 11:12:24 2019
+++ new/usr/src/cmd/sa/Makefile	Thu Aug  8 11:12:24 2019
@@ -33,7 +33,7 @@
 ROOTMANIFESTDIR = $(ROOTSVCSYSTEM)
 
 CERRWARN +=	-_gcc=-Wno-parentheses
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 SMOFF += all_func_returns
 
--- old/usr/src/cmd/sendmail/Makefile.cmd	Thu Aug  8 11:12:25 2019
+++ new/usr/src/cmd/sendmail/Makefile.cmd	Thu Aug  8 11:12:25 2019
@@ -30,7 +30,7 @@
 		-D_FILE_OFFSET_BITS=64
 CERRWARN +=	-_gcc=-Wno-clobbered
 CERRWARN +=	-_gcc=-Wno-parentheses
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-implicit-function-declaration
 CERRWARN +=	-_gcc=-Wno-empty-body
 CERRWARN +=	-_gcc=-Wno-unused-variable
--- old/usr/src/cmd/setfacl/Makefile	Thu Aug  8 11:12:26 2019
+++ new/usr/src/cmd/setfacl/Makefile	Thu Aug  8 11:12:26 2019
@@ -30,7 +30,7 @@
 
 CERRWARN += -_gcc=-Wno-unused-variable
 CERRWARN += -_gcc=-Wno-implicit-function-declaration
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/cmd/sf880drd/Makefile	Thu Aug  8 11:12:27 2019
+++ new/usr/src/cmd/sf880drd/Makefile	Thu Aug  8 11:12:27 2019
@@ -42,7 +42,7 @@
 CERRWARN += -_gcc=-Wno-switch
 CERRWARN += -_gcc=-Wno-unused-variable
 CERRWARN += -_gcc=-Wno-unused-function
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 PSMPROG = $(USR_PSM_LIB_DIR)/$(PROG)
 
--- old/usr/src/cmd/sgs/ar/Makefile.com	Thu Aug  8 11:12:29 2019
+++ new/usr/src/cmd/sgs/ar/Makefile.com	Thu Aug  8 11:12:30 2019
@@ -43,7 +43,7 @@
 CFLAGS +=	$(CCVERBOSE)
 CSTD=	$(CSTD_GNU99)
 
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 SMOFF += signed
 
--- old/usr/src/cmd/sgs/dump/Makefile.com	Thu Aug  8 11:12:32 2019
+++ new/usr/src/cmd/sgs/dump/Makefile.com	Thu Aug  8 11:12:32 2019
@@ -44,7 +44,7 @@
 LLDFLAGS64 =	'$(LDPASS)-R$$ORIGIN/../../../lib/$(MACH64)'
 LDFLAGS +=	$(LLDFLAGS)
 
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 SMOFF += indenting
 
--- old/usr/src/cmd/sgs/elfdump/Makefile.com	Thu Aug  8 11:12:35 2019
+++ new/usr/src/cmd/sgs/elfdump/Makefile.com	Thu Aug  8 11:12:36 2019
@@ -57,7 +57,7 @@
 LDLIBS +=	$(ELFLIBDIR) -lelf $(LDDBGLIBDIR) $(LDDBG_LIB) \
 		    $(CONVLIBDIR) $(CONV_LIB)
 
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/cmd/sgs/elfedit/Makefile.com	Thu Aug  8 11:12:38 2019
+++ new/usr/src/cmd/sgs/elfedit/Makefile.com	Thu Aug  8 11:12:38 2019
@@ -53,7 +53,7 @@
 		    $(CONVLIBDIR) $(CONV_LIB) -ltecla
 
 CERRWARN +=	-_gcc=-Wno-switch
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 BLTDEFS =	msg.h
 BLTDATA =	msg.c
--- old/usr/src/cmd/sgs/elfedit/modules/Makefile.com	Thu Aug  8 11:12:39 2019
+++ new/usr/src/cmd/sgs/elfedit/modules/Makefile.com	Thu Aug  8 11:12:39 2019
@@ -99,7 +99,7 @@
 DYNFLAGS +=	$(VERSREF)
 
 CERRWARN +=	-_gcc=-Wno-switch
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 BLTDEFS =	$(ELFEDITLIBS:%.so=%_msg.h)
 BLTDATA =	$(ELFEDITLIBS:%.so=%_msg.c)
--- old/usr/src/cmd/sgs/elfwrap/Makefile.com	Thu Aug  8 11:12:40 2019
+++ new/usr/src/cmd/sgs/elfwrap/Makefile.com	Thu Aug  8 11:12:40 2019
@@ -56,7 +56,7 @@
 LDFLAGS +=	$(VERSREF) $(CC_USE_PROTO) $(MAPOPTS) $(LLDFLAGS)
 LDLIBS +=	$(ELFLIBDIR) -lelf $(CONVLIBDIR) $(CONV_LIB)
 
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 BLTDEFS =	msg.h
 BLTDATA =	msg.c
--- old/usr/src/cmd/sgs/error/i386/Makefile	Thu Aug  8 11:12:40 2019
+++ new/usr/src/cmd/sgs/error/i386/Makefile	Thu Aug  8 11:12:40 2019
@@ -43,7 +43,7 @@
 CFLAGS +=	$(CCVERBOSE)
 CSTD=	$(CSTD_GNU99)
 
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-parentheses
 
 SMOFF += no_if_block,indenting
--- old/usr/src/cmd/sgs/error/sparc/Makefile	Thu Aug  8 11:12:41 2019
+++ new/usr/src/cmd/sgs/error/sparc/Makefile	Thu Aug  8 11:12:42 2019
@@ -40,7 +40,7 @@
 DEFLIST=	-DELF
 CPPFLAGS=	$(INCLIST) $(DEFLIST) $(CPPFLAGS.master)
 CFLAGS +=	$(CCVERBOSE)
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-parentheses
 CSTD=	$(CSTD_GNU99)
 
--- old/usr/src/cmd/sgs/gprof/Makefile.com	Thu Aug  8 11:12:42 2019
+++ new/usr/src/cmd/sgs/gprof/Makefile.com	Thu Aug  8 11:12:43 2019
@@ -44,7 +44,7 @@
 CFLAGS +=	$(CCVERBOSE)
 CSTD=	$(CSTD_GNU99)
 LDLIBS +=	$(CONVLIBDIR) $(CONV_LIB) $(ELFLIBDIR) -lelf
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/cmd/sgs/lex/Makefile.com	Thu Aug  8 11:12:44 2019
+++ new/usr/src/cmd/sgs/lex/Makefile.com	Thu Aug  8 11:12:44 2019
@@ -49,7 +49,7 @@
 CSTD=	$(CSTD_GNU99)
 
 CERRWARN +=	-_gcc=-Wno-unused-label
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-parentheses
 
 # Override default source file derivation rule (in Makefile.lib)
--- old/usr/src/cmd/sgs/libelf/Makefile.com	Thu Aug  8 11:12:47 2019
+++ new/usr/src/cmd/sgs/libelf/Makefile.com	Thu Aug  8 11:12:47 2019
@@ -68,7 +68,7 @@
 LDLIBS +=	$(CONVLIBDIR) $(CONV_LIB) -lc
 
 CERRWARN +=	-_gcc=-Wno-parentheses
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 SMOFF += indenting
 
--- old/usr/src/cmd/sgs/libld/Makefile.com	Thu Aug  8 11:12:48 2019
+++ new/usr/src/cmd/sgs/libld/Makefile.com	Thu Aug  8 11:12:48 2019
@@ -88,7 +88,7 @@
 
 CERRWARN += -_gcc=-Wno-unused-value
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-switch
 CERRWARN += -_gcc=-Wno-char-subscripts
 CERRWARN += -_gcc=-Wno-type-limits
--- old/usr/src/cmd/sgs/liblddbg/Makefile.com	Thu Aug  8 11:12:50 2019
+++ new/usr/src/cmd/sgs/liblddbg/Makefile.com	Thu Aug  8 11:12:50 2019
@@ -58,7 +58,7 @@
 SRCDIR =	../common
 
 CERRWARN +=	-_gcc=-Wno-unused-value
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-parentheses
 
 CPPFLAGS +=	-I$(SRCBASE)/lib/libc/inc
--- old/usr/src/cmd/sgs/librtld/Makefile.com	Thu Aug  8 11:12:52 2019
+++ new/usr/src/cmd/sgs/librtld/Makefile.com	Thu Aug  8 11:12:53 2019
@@ -50,7 +50,7 @@
 CERRWARN +=	-_gcc=-Wno-parentheses
 CERRWARN +=	-_gcc=-Wno-unused-value
 CERRWARN +=	-_gcc=-Wno-type-limits
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 BLTDEFS=	msg.h
 BLTDATA=	msg.c
--- old/usr/src/cmd/sgs/librtld_db/Makefile.com	Thu Aug  8 11:12:55 2019
+++ new/usr/src/cmd/sgs/librtld_db/Makefile.com	Thu Aug  8 11:12:55 2019
@@ -40,7 +40,7 @@
 DYNFLAGS +=	$(VERSREF)
 LDLIBS +=	$(CONVLIBDIR) $(CONV_LIB) -lc
 
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 BLTDEFS=	msg.h
 BLTDATA=	msg.c
--- old/usr/src/cmd/sgs/m4/i386/Makefile	Thu Aug  8 11:12:57 2019
+++ new/usr/src/cmd/sgs/m4/i386/Makefile	Thu Aug  8 11:12:57 2019
@@ -56,7 +56,7 @@
 
 CERRWARN +=	-_gcc=-Wno-parentheses
 CERRWARN +=	-_gcc=-Wno-unused-label
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 CLEANFILES +=	$(BLTSRCS)
 
--- old/usr/src/cmd/sgs/m4/sparc/Makefile	Thu Aug  8 11:12:58 2019
+++ new/usr/src/cmd/sgs/m4/sparc/Makefile	Thu Aug  8 11:12:58 2019
@@ -54,7 +54,7 @@
 CFLAGS +=	$(CCVERBOSE)
 CERRWARN +=	-_gcc=-Wno-parentheses
 CERRWARN +=	-_gcc=-Wno-unused-label
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CSTD=	$(CSTD_GNU99)
 
 CLEANFILES +=	$(BLTSRCS)
--- old/usr/src/cmd/sgs/mcs/Makefile.com	Thu Aug  8 11:12:59 2019
+++ new/usr/src/cmd/sgs/mcs/Makefile.com	Thu Aug  8 11:12:59 2019
@@ -48,7 +48,7 @@
 LDFLAGS +=	$(VERSREF) $(LLDFLAGS)
 LDLIBS +=	$(CONVLIBDIR) $(CONV_LIB) $(ELFLIBDIR) -lelf
 
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 SRCS =		$(COMOBJS:%.o=../common/%.c) \
 		$(TOOLSOBJS:%.o=$(SGSTOOLS)/common/%.c)
--- old/usr/src/cmd/sgs/prof/Makefile.com	Thu Aug  8 11:13:00 2019
+++ new/usr/src/cmd/sgs/prof/Makefile.com	Thu Aug  8 11:13:00 2019
@@ -43,7 +43,7 @@
 CPPFLAGS=	$(INCLIST) $(DEFLIST) $(CPPFLAGS.master) -I$(ELFCAP)
 CFLAGS +=	$(CCVERBOSE)
 CSTD=	$(CSTD_GNU99)
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/cmd/sgs/rtld/Makefile.com	Thu Aug  8 11:13:00 2019
+++ new/usr/src/cmd/sgs/rtld/Makefile.com	Thu Aug  8 11:13:00 2019
@@ -87,7 +87,7 @@
 LDLIB =		-L ../../libld/$(MACH)
 RTLDLIB =	-L ../../librtld/$(MACH)
 
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-unused-variable
 CERRWARN +=	-_gcc=-Wno-switch
 
--- old/usr/src/cmd/sgs/rtld/mdbmod/Makefile.com	Thu Aug  8 11:13:01 2019
+++ new/usr/src/cmd/sgs/rtld/mdbmod/Makefile.com	Thu Aug  8 11:13:01 2019
@@ -48,7 +48,7 @@
 SGSMSGALL=	../common/rtld.msg
 SGSMSGFLAGS +=	-h $(BLTDEFS) -d $(BLTDATA)
 
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 MSGSRCS=	$(COMOBJS:%.o=../common/%.c) $(BLTDATA)
 
--- old/usr/src/cmd/sgs/yacc/Makefile.com	Thu Aug  8 11:13:02 2019
+++ new/usr/src/cmd/sgs/yacc/Makefile.com	Thu Aug  8 11:13:02 2019
@@ -67,7 +67,7 @@
 CFLAGS += $(CCVERBOSE)
 CFLAGS64 += $(CCVERBOSE)
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/cmd/smbsrv/smbadm/Makefile	Thu Aug  8 11:13:03 2019
+++ new/usr/src/cmd/smbsrv/smbadm/Makefile	Thu Aug  8 11:13:03 2019
@@ -37,7 +37,7 @@
 
 .KEEP_STATE:
 
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 SMOFF += free
 
